classification
Title: Document venv.EnvBuilder.upgrade_dependencies()
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, miss-islington, vinay.sajip
Priority: normal Keywords: patch

Created on 2019-07-23 20:25 by brett.cannon, last changed 2019-09-10 07:31 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15768 merged vinay.sajip, 2019-09-09 12:22
PR 15794 merged miss-islington, 2019-09-09 15:49
Messages (3)
msg348352 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-07-23 20:25
The upgrade_deps parameter to EnvBuilder exists and venv.EnvBuilder.create() calls self.upgrade_dependencies(), but that method isn't documented anywhere.
msg351468 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2019-09-09 13:50
New changeset 264e034f990240e2aa379d8484b15b9e70c1fad5 by Vinay Sajip in branch 'master':
bpo-37662: Documented venv.EnvBuilder.upgrade_dependencies(). (GH-15768)
https://github.com/python/cpython/commit/264e034f990240e2aa379d8484b15b9e70c1fad5
msg351585 - (view) Author: miss-islington (miss-islington) Date: 2019-09-10 07:31
New changeset 74b7413d3a9be5e06b16eb2b9a6bdc1f3fe44bbb by Miss Islington (bot) in branch '3.8':
bpo-37662: Documented venv.EnvBuilder.upgrade_dependencies(). (GH-15768)
https://github.com/python/cpython/commit/74b7413d3a9be5e06b16eb2b9a6bdc1f3fe44bbb
History
Date User Action Args
2019-09-10 07:31:59miss-islingtonsetnosy: + miss-islington
messages: + msg351585
2019-09-09 15:49:34miss-islingtonsetpull_requests: + pull_request15447
2019-09-09 15:48:26vinay.sajipsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-09 13:50:41vinay.sajipsetmessages: + msg351468
2019-09-09 12:22:31vinay.sajipsetkeywords: + patch
stage: patch review
pull_requests: + pull_request15421
2019-07-23 20:25:25brett.cannoncreate